<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qmth.distributed.print.business.mapper.BasicExamRuleMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qmth.distributed.print.business.entity.BasicExamRule">
    <result column="id" property="id" />
        <result column="school_id" property="schoolId" />
        <result column="required_fields" property="requiredFields" />
        <result column="extend_fields" property="extendFields" />
        <result column="review" property="review" />
        <result column="include_paper" property="includePaper" />
        <result column="custom_card" property="customCard" />
        <result column="print_method" property="printMethod" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="update_id" property="updateId" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,
        school_id, required_fields, extend_fields, review, include_paper, custom_card, print_method, create_id, create_time, update_id, update_time
    </sql>

</mapper>
